#!/bin/bash
declare mc_compose_project_name="${1:-mailcowdockerized}"
if systemctl --quiet is-active docker.service; then
    for prefix in postfix nginx dovecot; do
        app="${mc_compose_project_name}"'-'"${prefix}"'-mailcow-1'
        if [ "$( docker container inspect -f '{{.State.Running}}' "${app}" 2> /dev/null )" = "true" ]; then
            docker restart "$(docker ps -qaf name="${app}")"
        fi
    done
fi
