#!/bin/bash
declare nginx_container="${1:?}"
if systemctl --quiet is-active docker.service; then
    if [[ "$( docker container inspect -f '{{.State.Running}}' "${nginx_container}" 2> /dev/null )" == "true" ]]; then
        docker exec -t "${nginx_container}" sh -c 'nginx -t &>/dev/null' && \
        docker kill --signal SIGHUP "${nginx_container}"
    fi
fi
